﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr210_1
{
    // Описание структуры: 
    struct MyStruct{
        // Поле:
        public int code;
        // Метод:
        public void show(){
            // Отображение значения поля:
            Console.WriteLine("Пoлe code: " + code);
        }
    }

    // Класс с главным методом: 
    class Program
    {
        // Главный метод: 
        unsafe static void Main()
        {
            // Создаются экземпляры структуры:
            MyStruct A, B;
            // Объявляется указатель на экземпляр структуры:
            MyStruct* p;
            // Указателю присваивается значение: 
            p = &A;
            // Обращение к полю через указатель: 
            p->code = 123;
            // Вызов метода через указатель: 
            p->show();
            // Вызов метода через экземпляр структуры:
            A.show();
            Console.WriteLine("--------------");
            // Новое значение указателя: 
            p = &B;
            // Обращение к полю через указатель: 
            p->code = 321;
            // Вызов метода через указатель: 
            p->show();
            // Вызов метода через экземпляр структуры:
            B.show();
            Console.WriteLine("--------------");
            // Еще один способ обратиться к полю:
            (*p).code = 456;
            // Еще один способ вызвать метод:
            (*p).show();
            // Вызов метода через экземпляр структуры:
            B.show();
        }
    }
}
